## NAME

curl_formfree - free a previously build multipart/formdata HTTP POST chain

## SYNOPSIS

#include <curl/curl.h>

void curl_formfree(struct curl_httppost * form);

## DESCRIPTION

curl_formfree() is used to clean up data previously built/appended with curl_formadd(3). This must be called when the data has been used, which typically means after curl_easy_perform(3) has been called.

The pointer to free is the same pointer you passed to the CURLOPT_HTTPPOST option, which is the firstitem pointer from the curl_formadd(3) invoke(s).

form is the pointer as returned from a previous call to curl_formadd(3) and may be NULL.

## RETURN VALUE

None

## SEE ALSO

curl_formadd (3)

This HTML page was made with roffit.